Bug 468600 - Try to connect to input devices on startup
Try to connect to input devices on startup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-26 13:06 EDT by mail@romal.de
Modified: 2009-09-16 09:58 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-16 09:58:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mail@romal.de 2008-10-26 13:06:08 EDT
Description of problem:

Bluetooth mouse and keyboard can both be added flawless and works onward.

Until rebooting the system, than it stops working. Gnome-bluetooth still show the devices, but they don`t work. Deleting and repairing them, helps until next reboot.

Version-Release number of selected component (if applicable):

Todays rawhide including all updates.

How reproducible:

Every time.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Devices should survive rebooting.

Expected results:


Additional info:
Comment 1 Bastien Nocera 2008-10-26 20:36:35 EDT
Could you please attach the contents of /var/log/messages when it tries to reboot?

Does making your system discoverable (in the properties) get the device to reconnect properly?

What type of Bluetooth adapter are you using?
Comment 2 mail@romal.de 2008-10-27 01:46:25 EDT
grep blue /var/log/messages

Oct 27 06:37:45 orilla bluetoothd[1941]: Bluetooth daemon
Oct 27 06:37:45 orilla bluetoothd[1941]: Starting SDP server
Oct 27 06:37:45 orilla bluetoothd[1941]: Parsing /etc/bluetooth/network.conf failed: No such file or directory
Oct 27 06:37:45 orilla bluetoothd[1941]: bridge pan0 created
Oct 27 06:37:45 orilla bluetoothd[1941]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Oct 27 06:37:45 orilla bluetoothd[1941]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Oct 27 06:37:45 orilla bluetoothd[1941]: HCI dev 0 registered
Oct 27 06:37:46 orilla bluetoothd[1941]: HCI dev 0 up
Oct 27 06:37:51 orilla bluetoothd[1941]: Registered interface org.bluez.NetworkPeer on path /org/bluez/hci0
Oct 27 06:37:51 orilla bluetoothd[1941]: Registered interface org.bluez.NetworkHub on path /org/bluez/hci0
Oct 27 06:37:51 orilla bluetoothd[1941]: Registered interface org.bluez.NetworkRouter on path /org/bluez/hci0
Oct 27 06:37:52 orilla bluetoothd[1941]: Registered interface org.bluez.Service on path /org/bluez/hci0
Oct 27 06:37:52 orilla bluetoothd[1941]: Registered interface org.bluez.SerialProxyManager on path /org/bluez/hci0
Oct 27 06:37:52 orilla bluetoothd[1941]: Registered interface org.bluez.Input on path /org/bluez/hci0/dev_00_0D_3A_A5_93_BB
Oct 27 06:37:52 orilla bluetoothd[1941]: Registered interface org.bluez.Input on path /org/bluez/hci0/dev_00_0D_3A_A4_EE_BA
Oct 27 06:37:52 orilla bluetoothd[1941]: Adapter /org/bluez/hci0 has been enabled
Oct 27 06:37:52 orilla bluetoothd[1941]: Starting security manager 0
Oct 27 06:40:19 orilla kernel: input: Microsoft Mouse as /devices/pci0000:00/0000:00:02.1/usb4/4-1/4-1.1/4-1.1:1.0/bluetooth/hci0/hci0:6/input9
Oct 27 06:38:34 orilla bluetoothd[1941]: link_key_request (sba=00:0D:3A:A5:7A:55, dba=00:0D:3A:A4:EE:BA)
Oct 27 06:41:34 orilla kernel: input: Microsoft Keyboard as /devices/pci0000:00/0000:00:02.1/usb4/4-1/4-1.1/4-1.1:1.0/bluetooth/hci0/hci0:7/input10
[root@orilla log]# 

Does making your system discoverable (in the properties) get the device to
reconnect properly?

No.

What type of Bluetooth adapter are you using?

USB-Dongle from MS provided with the Bluetooth desktop set (keyboard & mouse)

Bus 004 Device 005: ID 045e:009c Microsoft Corp. Wireless Transceiver for Bluetooth 2.0

Either it changed via the last rawhide packages or I simply overlooked it. If I wait for some minutes in GDM, the mouse starts working. A minute later the keyboard starts working too. That would fit to /var/log/messages. But why does this need some minutes ?
Comment 3 Bastien Nocera 2008-10-27 12:15:15 EDT
My guess is that the hardware takes that long to connect again to the computer. You could try turning it off and on again using the buttons on the device.

Does the hardware work in the BIOS or similar? Do you need to use hid2hci at all to have the bluetooth device enabled?

Do you have a link to the Microsoft website with the exact model of keyboard/mouse combo this is?
Comment 4 mail@romal.de 2008-10-27 12:56:09 EDT
MS modell BV1-00017

http://www.amazon.de/Microsoft-Bluetooth-schnurloses-Tastatur-Maus-Set-Handelsverpackung/dp/B0002TJNZW

http://www.microsoft.com/products/info/product.aspx?view=29&pcid=76e91501-ff1c-44cf-947f-003f3fe25a8c&crumb=catpage&catid=c250fb0a-1613-4550-983d-ba203f357698

Nope, the hw does not work in BIOS. I do a standard F10 installation and pair the devices via the Bluetooth gnome applet. I don`t use hdi2hci.

[root@localhost ~]# hid2hci 
No devices in HID mode found
[root@localhost ~]# 

This is my Bluetooth dongle:

[root@localhost ~]# lsusb -v -d 045e:009c 

Bus 004 Device 005: ID 045e:009c Microsoft Corp. Wireless Transceiver for Bluetooth 2.0
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass          224 Wireless
  bDeviceSubClass         1 Radio Frequency
  bDeviceProtocol         1 Bluetooth
  bMaxPacketSize0        64
  idVendor           0x045e Microsoft Corp.
  idProduct          0x009c Wireless Transceiver for Bluetooth 2.0
  bcdDevice            1.00
  iManufacturer           1 Microsoft
  iProduct                2 Wireless Radio for Bluetooth 2.0
  iSerial                 3 000D3AA57A55
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength          200
    bNumInterfaces          3
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xc0
      Self Powered
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           3
      bInterfaceClass       224 Wireless
      bInterfaceSubClass      1 Radio Frequency
      bInterfaceProtocol      1 Bluetooth
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0010  1x 16 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x02  EP 2 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass       224 Wireless
      bInterfaceSubClass      1 Radio Frequency
      bInterfaceProtocol      1 Bluetooth
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0000  1x 0 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0000  1x 0 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       1
      bNumEndpoints           2
      bInterfaceClass       224 Wireless
      bInterfaceSubClass      1 Radio Frequency
      bInterfaceProtocol      1 Bluetooth
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0009  1x 9 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0009  1x 9 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       2
      bNumEndpoints           2
      bInterfaceClass       224 Wireless
      bInterfaceSubClass      1 Radio Frequency
      bInterfaceProtocol      1 Bluetooth
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0011  1x 17 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0011  1x 17 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       3
      bNumEndpoints           2
      bInterfaceClass       224 Wireless
      bInterfaceSubClass      1 Radio Frequency
      bInterfaceProtocol      1 Bluetooth
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0020  1x 32 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0020  1x 32 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       4
      bNumEndpoints           2
      bInterfaceClass       224 Wireless
      bInterfaceSubClass      1 Radio Frequency
      bInterfaceProtocol      1 Bluetooth
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       5
      bNumEndpoints           2
      bInterfaceClass       224 Wireless
      bInterfaceSubClass      1 Radio Frequency
      bInterfaceProtocol      1 Bluetooth
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        2
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass    255 Vendor Specific Subclass
      bInterfaceProtocol    255 Vendor Specific Protocol
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x84  EP 4 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0020  1x 32 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x04  EP 4 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0020  1x 32 bytes
        bInterval               1
Device Status:     0x0000
  (Bus Powered)
[root@localhost ~]# 


[root@localhost ~]# hcitool info 00:0D:3A:A5:93:BB
Requesting information ...
	BD Address:  00:0D:3A:A5:93:BB
	OUI Company: Microsoft Corp. (00-0D-3A)
	Device Name: Microsoft Mouse
	LMP Version: 1.2 (0x2) LMP Subversion: 0x100
	Manufacturer: Broadcom Corporation (15)
	Features: 0xbc 0x02 0x04 0x28 0x08 0x08 0x00 0x00
		<encryption> <slot offset> <timing accuracy> <role switch> 
		<sniff mode> <RSSI> <power control> <enhanced iscan> 
		<interlaced pscan> <AFH cap. slave> <AFH cap. master> 
[root@localhost ~]# 

[root@localhost ~]# hcitool info 00:0D:3A:A4:EE:BA
Requesting information ...
	BD Address:  00:0D:3A:A4:EE:BA
	OUI Company: Microsoft Corp. (00-0D-3A)
	Device Name: Microsoft Keyboard
	LMP Version: 1.2 (0x2) LMP Subversion: 0x100
	Manufacturer: Broadcom Corporation (15)
	Features: 0xbc 0x02 0x04 0x28 0x08 0x08 0x00 0x00
		<encryption> <slot offset> <timing accuracy> <role switch> 
		<sniff mode> <RSSI> <power control> <enhanced iscan> 
		<interlaced pscan> <AFH cap. slave> <AFH cap. master> 
[root@localhost ~]#
Comment 5 Bastien Nocera 2008-10-27 16:11:54 EDT
Does only turning on the devices when the login screen is visible get them to reconnect faster then?
Comment 6 mail@romal.de 2008-10-29 06:49:16 EDT
The Microsoft devices don`t have on/off switches. Apple mouses & keyboards have power switches.

Or did I misunterstand you ?
Comment 7 Bastien Nocera 2008-10-29 07:43:58 EDT
Right, so if the device doesn't reconnect to us faster than that, we can't do much apart from having bluez trying to reconnect to the device as soon as it's up.
Comment 8 Bug Zapper 2008-11-25 23:15:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Jukka Honkela 2008-11-29 06:48:26 EST
Same bug exists here. Using a Logitech bluetooth mouse with an HP laptop that has internal bluetooth adapter - the mouse can be added very well from the bluetooth applet but the functionality will not restore after reboot. The device has to be removed from the applet and then added there again.

The mouse has on/off switch but makes no difference to powercycle it, the device will not start to work again.

During boot, /var/log/messages contains this line: 
Nov 29 12:38:55 localhost bluetoothd[2316]: Registered interface org.bluez.Input on path /org/bluez/hci0/dev_00_07_61_A7_1F_93
where the address is the correct address of the mouse but nonetheless, X will not see the mouse. The connection itself seems to be missing, "hcitool con" shows no connection.
Comment 10 Tames McTigue 2008-12-31 12:40:31 EST
I am having the same problem. It is a Logitech Bluetooth travel mouse and the built in Bluetooth on my Dell M1210.

# grep blue /var/log/messages

Dec 30 10:50:34 timmay kernel: input: Logitech Bluetooth Mouse as /devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1.1/3-1.1:1.0/bluetooth/hci0/hci0:11/input18
Dec 30 11:27:02 timmay bluetoothd[2444]: bridge pan0 removed
Dec 30 11:27:02 timmay bluetoothd[2444]: Stopping SDP server
Dec 30 11:27:02 timmay bluetoothd[2444]: Exit
Dec 30 11:54:54 timmay bluetoothd[2434]: Bluetooth daemon
Dec 30 11:54:54 timmay bluetoothd[2434]: Starting SDP server
Dec 30 11:54:55 timmay bluetoothd[2434]: Parsing /etc/bluetooth/network.conf failed: No such file or directory
Dec 30 11:54:56 timmay bluetoothd[2434]: bridge pan0 created
Dec 30 11:54:56 timmay bluetoothd[2434]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Dec 30 11:54:56 timmay bluetoothd[2434]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Dec 30 11:54:56 timmay bluetoothd[2434]: Registered interface org.bluez.Service on path /org/bluez/2434/any
Dec 30 11:54:56 timmay bluetoothd[2434]: HCI dev 0 registered
Dec 30 11:54:56 timmay bluetoothd[2434]: HCI dev 0 up
Dec 30 11:54:56 timmay bluetoothd[2434]: Registered interface org.bluez.NetworkPeer on path /org/bluez/2434/hci0
Dec 30 11:54:56 timmay bluetoothd[2434]: Registered interface org.bluez.NetworkHub on path /org/bluez/2434/hci0
Dec 30 11:54:56 timmay bluetoothd[2434]: Registered interface org.bluez.NetworkRouter on path /org/bluez/2434/hci0
Dec 30 11:54:56 timmay bluetoothd[2434]: Registered interface org.bluez.SerialProxyManager on path /org/bluez/2434/hci0
Dec 30 11:54:57 timmay bluetoothd[2434]: Registered interface org.bluez.Service on path /org/bluez/2434/hci0
Dec 30 11:54:57 timmay bluetoothd[2434]: Registered interface org.bluez.Input on path /org/bluez/2434/hci0/dev_00_07_61_6B_84_BB
Dec 30 11:54:57 timmay bluetoothd[2434]: Adapter /org/bluez/2434/hci0 has been enabled
Dec 30 11:54:57 timmay bluetoothd[2434]: Starting security manager 0
Dec 30 11:57:09 timmay kernel: input: Logitech Bluetooth Mouse as /devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1.1/3-1.1:1.0/bluetooth/hci0/hci0:11/input16
Dec 30 13:29:06 timmay kernel: input: Logitech Bluetooth Mouse as /devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1.1/3-1.1:1.0/bluetooth/hci0/hci0:11/input17
Dec 30 17:15:31 timmay bluetoothd[2434]: bridge pan0 removed
Dec 30 17:15:31 timmay bluetoothd[2434]: Stopping SDP server
Dec 30 17:15:31 timmay bluetoothd[2434]: Exit
Dec 30 19:02:59 timmay bluetoothd[2441]: Bluetooth daemon
Dec 30 19:02:59 timmay bluetoothd[2441]: Starting SDP server
Dec 30 19:03:00 timmay bluetoothd[2441]: Parsing /etc/bluetooth/network.conf failed: No such file or directory
Dec 30 19:03:00 timmay bluetoothd[2441]: bridge pan0 created
Dec 30 19:03:00 timmay bluetoothd[2441]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Dec 30 19:03:01 timmay bluetoothd[2441]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Dec 30 19:03:01 timmay bluetoothd[2441]: Registered interface org.bluez.Service on path /org/bluez/2441/any
Dec 30 19:03:01 timmay bluetoothd[2441]: HCI dev 0 registered
Dec 30 19:03:01 timmay bluetoothd[2441]: HCI dev 0 up
Dec 30 19:03:01 timmay bluetoothd[2441]: Registered interface org.bluez.NetworkPeer on path /org/bluez/2441/hci0
Dec 30 19:03:01 timmay bluetoothd[2441]: Registered interface org.bluez.NetworkHub on path /org/bluez/2441/hci0
Dec 30 19:03:01 timmay bluetoothd[2441]: Registered interface org.bluez.NetworkRouter on path /org/bluez/2441/hci0
Dec 30 19:03:01 timmay bluetoothd[2441]: Registered interface org.bluez.SerialProxyManager on path /org/bluez/2441/hci0
Dec 30 19:03:02 timmay bluetoothd[2441]: Registered interface org.bluez.Service on path /org/bluez/2441/hci0
Dec 30 19:03:02 timmay bluetoothd[2441]: Registered interface org.bluez.Input on path /org/bluez/2441/hci0/dev_00_07_61_6B_84_BB
Dec 30 19:03:02 timmay bluetoothd[2441]: Adapter /org/bluez/2441/hci0 has been enabled
Dec 30 19:03:02 timmay bluetoothd[2441]: Starting security manager 0
Dec 30 19:04:45 timmay kernel: input: Logitech Bluetooth Mouse as /devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1.1/3-1.1:1.0/bluetooth/hci0/hci0:11/input16
Dec 30 20:08:26 timmay kernel: input: Logitech Bluetooth Mouse as /devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1.1/3-1.1:1.0/bluetooth/hci0/hci0:11/input17
Dec 30 20:56:18 timmay bluetoothd[2441]: bridge pan0 removed
Dec 30 20:56:18 timmay bluetoothd[2441]: Stopping SDP server
Dec 30 20:56:18 timmay bluetoothd[2441]: Exit
Dec 31 09:50:05 timmay bluetoothd[2440]: Bluetooth daemon
Dec 31 09:50:05 timmay bluetoothd[2440]: Starting SDP server
Dec 31 09:50:05 timmay bluetoothd[2440]: Parsing /etc/bluetooth/network.conf failed: No such file or directory
Dec 31 09:50:06 timmay bluetoothd[2440]: bridge pan0 created
Dec 31 09:50:06 timmay bluetoothd[2440]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Dec 31 09:50:06 timmay bluetoothd[2440]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Dec 31 09:50:06 timmay bluetoothd[2440]: Registered interface org.bluez.Service on path /org/bluez/2440/any
Dec 31 09:50:06 timmay bluetoothd[2440]: HCI dev 0 registered
Dec 31 09:50:06 timmay bluetoothd[2440]: HCI dev 0 up
Dec 31 09:50:07 timmay bluetoothd[2440]: Registered interface org.bluez.NetworkPeer on path /org/bluez/2440/hci0
Dec 31 09:50:07 timmay bluetoothd[2440]: Registered interface org.bluez.NetworkHub on path /org/bluez/2440/hci0
Dec 31 09:50:07 timmay bluetoothd[2440]: Registered interface org.bluez.NetworkRouter on path /org/bluez/2440/hci0
Dec 31 09:50:07 timmay bluetoothd[2440]: Registered interface org.bluez.SerialProxyManager on path /org/bluez/2440/hci0
Dec 31 09:50:07 timmay bluetoothd[2440]: Registered interface org.bluez.Service on path /org/bluez/2440/hci0
Dec 31 09:50:07 timmay bluetoothd[2440]: Registered interface org.bluez.Input on path /org/bluez/2440/hci0/dev_00_07_61_6B_84_BB
Dec 31 09:50:07 timmay bluetoothd[2440]: Adapter /org/bluez/2440/hci0 has been enabled
Dec 31 09:50:07 timmay bluetoothd[2440]: Starting security manager 0
Dec 31 09:56:13 timmay kernel: input: Logitech Bluetooth Mouse as /devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1.1/3-1.1:1.0/bluetooth/hci0/hci0:11/input16
Dec 31 10:21:15 timmay bluetoothd[2440]: Unregistered interface org.bluez.Input on path /org/bluez/2440/hci0/dev_00_07_61_6B_84_BB
Dec 31 10:21:27 timmay bluetoothd[2440]: bridge pan0 removed
Dec 31 10:21:27 timmay bluetoothd[2440]: Stopping SDP server
Dec 31 10:21:27 timmay bluetoothd[2440]: Exit
Dec 31 10:22:26 timmay bluetoothd[2438]: Bluetooth daemon
Dec 31 10:22:26 timmay bluetoothd[2438]: Starting SDP server
Dec 31 10:22:26 timmay bluetoothd[2438]: Parsing /etc/bluetooth/network.conf failed: No such file or directory
Dec 31 10:22:27 timmay bluetoothd[2438]: bridge pan0 created
Dec 31 10:22:27 timmay bluetoothd[2438]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Dec 31 10:22:28 timmay bluetoothd[2438]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Dec 31 10:22:28 timmay bluetoothd[2438]: Registered interface org.bluez.Service on path /org/bluez/2438/any
Dec 31 10:22:28 timmay bluetoothd[2438]: HCI dev 0 registered
Dec 31 10:22:28 timmay bluetoothd[2438]: HCI dev 0 up
Dec 31 10:22:28 timmay bluetoothd[2438]: Registered interface org.bluez.NetworkPeer on path /org/bluez/2438/hci0
Dec 31 10:22:28 timmay bluetoothd[2438]: Registered interface org.bluez.NetworkHub on path /org/bluez/2438/hci0
Dec 31 10:22:28 timmay bluetoothd[2438]: Registered interface org.bluez.NetworkRouter on path /org/bluez/2438/hci0
Dec 31 10:22:28 timmay bluetoothd[2438]: Registered interface org.bluez.SerialProxyManager on path /org/bluez/2438/hci0
Dec 31 10:22:28 timmay bluetoothd[2438]: Registered interface org.bluez.Service on path /org/bluez/2438/hci0
Dec 31 10:22:28 timmay bluetoothd[2438]: Adapter /org/bluez/2438/hci0 has been enabled
Dec 31 10:22:28 timmay bluetoothd[2438]: Starting security manager 0
Dec 31 10:24:47 timmay bluetoothd[2438]: Discovery session 0xb9e4d258 with :1.55 activated
Dec 31 10:24:53 timmay bluetoothd[2438]: Discovery session 0xb9e4d258 with :1.55 deactivated
Dec 31 10:24:54 timmay bluetoothd[2438]: Registered interface org.bluez.Input on path /org/bluez/2438/hci0/dev_00_07_61_6B_84_BB
Dec 31 10:24:54 timmay kernel: input: Bluetooth Travel Mouse as /devices/pci0000:00/0000:00:1d.1/usb3/3-1/3-1.1/3-1.1:1.0/bluetooth/hci0/hci0:11/input16
Dec 31 11:20:26 timmay bluetoothd[2438]: bridge pan0 removed
Dec 31 11:20:26 timmay bluetoothd[2438]: Stopping SDP server
Dec 31 11:20:26 timmay bluetoothd[2438]: Exit
Dec 31 11:21:39 timmay bluetoothd[2436]: Bluetooth daemon
Dec 31 11:21:39 timmay bluetoothd[2436]: Starting SDP server
Dec 31 11:21:40 timmay bluetoothd[2436]: Parsing /etc/bluetooth/network.conf failed: No such file or directory
Dec 31 11:21:41 timmay bluetoothd[2436]: bridge pan0 created
Dec 31 11:21:41 timmay bluetoothd[2436]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Dec 31 11:21:41 timmay bluetoothd[2436]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Dec 31 11:21:41 timmay bluetoothd[2436]: Registered interface org.bluez.Service on path /org/bluez/2436/any
Dec 31 11:21:41 timmay bluetoothd[2436]: HCI dev 0 registered
Dec 31 11:21:41 timmay bluetoothd[2436]: HCI dev 0 up
Dec 31 11:21:41 timmay bluetoothd[2436]: Registered interface org.bluez.NetworkPeer on path /org/bluez/2436/hci0
Dec 31 11:21:41 timmay bluetoothd[2436]: Registered interface org.bluez.NetworkHub on path /org/bluez/2436/hci0
Dec 31 11:21:41 timmay bluetoothd[2436]: Registered interface org.bluez.NetworkRouter on path /org/bluez/2436/hci0
Dec 31 11:21:41 timmay bluetoothd[2436]: Registered interface org.bluez.SerialProxyManager on path /org/bluez/2436/hci0
Dec 31 11:21:42 timmay bluetoothd[2436]: Registered interface org.bluez.Service on path /org/bluez/2436/hci0
Dec 31 11:21:42 timmay bluetoothd[2436]: Registered interface org.bluez.Input on path /org/bluez/2436/hci0/dev_00_07_61_6B_84_BB
Dec 31 11:21:42 timmay bluetoothd[2436]: Adapter /org/bluez/2436/hci0 has been enabled
Dec 31 11:21:42 timmay bluetoothd[2436]: Starting security manager 0

# lsusb -v

Bus 003 Device 003: ID 413c:8126 Dell Computer Corp. Wireless 355 Bluetooth
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass          224 Wireless
  bDeviceSubClass         1 Radio Frequency
  bDeviceProtocol         1 Bluetooth
  bMaxPacketSize0        64
  idVendor           0x413c Dell Computer Corp.
  idProduct          0x8126 Wireless 355 Bluetooth
  bcdDevice            1.00
  iManufacturer           1 Broadcom Corp
  iProduct                2 BCM2045
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength          216
    bNumInterfaces          4
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           3
      bInterfaceClass       224 Wireless
      bInterfaceSubClass      1 Radio Frequency
      bInterfaceProtocol      1 Bluetooth
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0010  1x 16 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x02  EP 2 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass       224 Wireless
      bInterfaceSubClass      1 Radio Frequency
      bInterfaceProtocol      1 Bluetooth
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0000  1x 0 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0000  1x 0 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       1
      bNumEndpoints           2
      bInterfaceClass       224 Wireless
      bInterfaceSubClass      1 Radio Frequency
      bInterfaceProtocol      1 Bluetooth
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0009  1x 9 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0009  1x 9 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       2
      bNumEndpoints           2
      bInterfaceClass       224 Wireless
      bInterfaceSubClass      1 Radio Frequency
      bInterfaceProtocol      1 Bluetooth
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0011  1x 17 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0011  1x 17 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       3
      bNumEndpoints           2
      bInterfaceClass       224 Wireless
      bInterfaceSubClass      1 Radio Frequency
      bInterfaceProtocol      1 Bluetooth
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0020  1x 32 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0020  1x 32 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       4
      bNumEndpoints           2
      bInterfaceClass       224 Wireless
      bInterfaceSubClass      1 Radio Frequency
      bInterfaceProtocol      1 Bluetooth
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       5
      bNumEndpoints           2
      bInterfaceClass       224 Wireless
      bInterfaceSubClass      1 Radio Frequency
      bInterfaceProtocol      1 Bluetooth
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x03  EP 3 OUT
        bmAttributes            1
          Transfer Type            Isochronous
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        2
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass    255 Vendor Specific Subclass
      bInterfaceProtocol    255 Vendor Specific Protocol
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x84  EP 4 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0020  1x 32 bytes
        bInterval               1
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x04  EP 4 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0020  1x 32 bytes
        bInterval               1
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        3
      bAlternateSetting       0
      bNumEndpoints           0
      bInterfaceClass       254 Application Specific Interface
      bInterfaceSubClass      1 Device Firmware Update
      bInterfaceProtocol      0 
      iInterface              0 
      ** UNRECOGNIZED:  07 21 07 88 13 40 00
Device Status:     0x0001
  Self Powered
Comment 11 Bastien Nocera 2009-04-24 11:04:09 EDT
This is a bug in bluez' input plugin.

HIDP_VIRTUAL_CABLE_UNPLUG is sent to the device when the adapter goes down, which causes the device not to try reconnecting anymore.

HIDP_VIRTUAL_CABLE_UNPLUG shouldn't be sent unless the device is explicitely disconnected, through the gnome-bluetooth applet for example (the problem affects F11 as well).
Comment 12 Bastien Nocera 2009-04-24 14:40:20 EDT
*** Bug 485927 has been marked as a duplicate of this bug. ***
Comment 13 Bastien Nocera 2009-09-16 09:58:54 EDT
Bug was fixed in:
http://git.kernel.org/?p=bluetooth/bluez.git;a=commit;h=8ca76f2e9cf85ff39adc8bfa68627b8c4d9512cc
in bluez 4.38

We now ship 4.42 in Fedora 11. Please reopen the bug if you still see the problem.

Note You need to log in before you can comment on or make changes to this bug.